#ifndef LIGHT_H
#define LIGHT_H

#include "Material.h"

/**
@class Light
,  ,      ,  ,
, 2    -  , 3      10 .
*/
class Light
{
public:
        ///       
        Vector3D Position;
        ///       
        Vector3D Colour;
        ///          
        float ConstAttenuation;
        ///          
        float LinearAttenuation;
        ///          
        float QuadricAttenuation;

        /// 
        Light();
        /// 
        ~Light();

        /// ,     .
        /// @param  Pos     (  )
        void SetPos(const Vector3D &Pos);
        /// ,     .
        /// @param  Col     (  )
        void SetColor(const Vector3D &Col);
        /// ,        .
        /// @param  c    (  )
        void SetConst(const float c);
        /// ,        .
        /// @param  l    (  )
        void SetLinear(const float l);
        /// ,        .
        /// @param  q    (  )
        void SetQuadric(const float q);

        /// ,      .
        /// @return     
        Vector3D GetPos();
        /// ,      .
        /// @return     
        Vector3D GetColor();
        /// ,         .
        /// @return      
        float GetConst();
        /// ,         .
        /// @return      
        float GetLinear();
        /// ,         .
        /// @return      
        float GetQuadric();
};


#endif // LIGHT_H
