#ifndef MATERIAL_H
#define MATERIAL_H

#include "Vector3D.h"

/**
@class Mater
,  ,      ,  2 ,
, 3    -    6 .
*/
class Mater
{
public:
    // diffuse color = ambient color = colour
        ///      
        Vector3D Reflectivity;
        ///       
        Vector3D Specular;
        ///      
        Vector3D Colour;

        /// 
        Mater();
        ///  
        Mater(Mater &Mat);
        /// 
        ~Mater();

        /// ,     .
        /// @param  Ref     (  )
        void SetRef(const Vector3D Ref);
        /// ,     .
        /// @param  Spe     (  )
        void SetSpe(const Vector3D Spe);
        /// ,    .
        /// @param  Col     (  )
        void SetCol(const Vector3D Col);

        /// ,      .
        /// @return     
        Vector3D GetRef();
        /// ,      .
        /// @return     
        Vector3D GetSpe();
        /// ,     .
        /// @return    
        Vector3D GetCol();
};

#endif // MATERIAL_H
