#ifndef VECTOR3D_H
#define VECTOR3D_H

/**
@class Vector3D
,   ,  3 ,
, 3       .
*/
class Vector3D
{
public:
        ///   -  
        float X;
        ///   -  
        float Y;
        ///   -  
        float Z;

        /// 
        Vector3D();
        ///        
        Vector3D(const float x, const float y, const float z);
        ///  
        Vector3D(const Vector3D &V);
        /// 
        ~Vector3D();

        /// ,  2  .   -  ,    
        /// @param  V   (  )
        /// @return  ,     
        Vector3D operator+ (const Vector3D &V);
        /// ,  2        ,    
        /// @param  V   (  )
        /// @return  ,     
        Vector3D operator+= (const Vector3D &V);
        /// ,       .
        /// @param  t  (  )
        /// @return    ,     
        Vector3D operator* (const float t);
        /// ,  2  .  -  -  ,    
        /// @param  V   - (  )
        /// @return  ,     
        Vector3D operator- (const Vector3D &V);
        ///  -  .
        /// @return    ,    (-1 -> 1)
        Vector3D operator- ();
        /// ,  2  .  -  -  ,    
        /// @param  V   - (  )
        /// @return     
        float operator* (Vector3D &V);
        /// ,   .
        /// @return    
        float Length();
        /// ,    .
        /// @return     
        float SqrLen();
        /// ,  .
        /// @return  
        Vector3D NormVect();

};

#endif // VECTOR3D_H
