#ifndef RAY_H
#define RAY_H

#include "Vector3D.h"

/**
@class Ray
,  ,        -,
 3 , , 2    -    2 .
*/
class Ray
{
public:
        ///   -   
        Vector3D Start;
        ///   -  
        Vector3D Direction;

        /// 
        Ray();
        ///         
        Ray(Vector3D &Start0, Vector3D &Look);
        /// 
        ~Ray();

        /// ,       .
        /// @return     
        float GetDirLen();
        /// ,      .
        /// @return     
        Vector3D GetDir();
};


#endif // RAY_H
